Package com.independentsoft.office.odf.styles

# Enum Class RunThrough

java.lang.Object
java.lang.Enum<RunThrough>
com.independentsoft.office.odf.styles.RunThrough

All Implemented Interfaces:
  `Serializable`, `Comparable<RunThrough>`, `Constable`

public enum RunThrough extends Enum<RunThrough>
Represents whether content of a frame is displayed in the background or foreground.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACKGROUND`
  Frame content is displayed behind a text.
  `FOREGROUND`
  Frame content is displayed in front of a text.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RunThrough`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RunThrough[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FOREGROUND

    public static final RunThrough FOREGROUND
    Frame content is displayed in front of a text.

  - ### BACKGROUND

    public static final RunThrough BACKGROUND
    Frame content is displayed behind a text.

  - ### NONE

    public static final RunThrough NONE
    None.

- ## Method Details

  - ### values

    public static RunThrough[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RunThrough valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null